<ol class="page-breadcrumb">
  [[> Partial:breadcrumb iri=(resolvePrefix ":Start") label="Home"]]
  [[> Partial:breadcrumb iri=(resolvePrefix ":listWitnesses") label="Witnesses"]]
  [[> Partial:breadcrumbViewEntity entity="Witness" urlparam="witnessiri"]]
</ol>

[[> Partial:contentStart]]

[[> Partial:pageHeader2 param="witnessiri" prefix="Witness: "]]

<div class="form-container">
  <semantic-form
    subject="[[urlParam 'witnessiri']]"
    browser-persistence="false"
    persistence="ldp"
    post-action="redirect"
    fields="[[fieldDefinitions
      alias_identifier='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/alias_identifier'
      autograph='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/witness_is_autograph'
      author_as_written='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/author_as_written'
      codex='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/part_of_codex'
      end_page='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/witness_end_page'
      exemplar_of='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/exemplar_of'
      folios='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/witness_folios'
      ismi_id='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/ismi_id'
      ismi_public='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/ismi_public'
      lines_per_page='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/witness_lines_per_page'
      label='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/witness_label_gen'
      misidentification='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/witness_misidentification'
      notes='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/notes'
      notes_internal='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/notes_internal'
      page_dimensions='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/witness_page_dimensions'
      reference='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/reference'
      script='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/witness_script'
      source_of_information='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/witness_source_of_information'
      start_page='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/witness_start_page'
      title_as_written='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/title_as_written'
      witness_creation='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/witness_creation'
      witness_expression='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/witness_expression'
      witness_record_type='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/witness_record_type'
      witness_record_type_2='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/witness_record_type_2'
      witness_study='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/witness_study'
      writing_surface='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/witness_writing_surface'
      written_area_dimensions='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/witness_written_area_dimensions'
      transaction_log='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/transaction_log'
    ]]"
    >

    <bs-tab-container 
      id="witness-edit-form" 
      class="bs-left-vertical-tabs" 
      default-active-key='[[#if (urlParam "tab" )]][[urlParam "tab"]][[else]]description[[/if]]'
    >
      <div>
        <bs-col sm="2" >
          <bs-nav bs-style="tabs" stacked="true">

            <bs-nav-item event-key="description">
              Description
            </bs-nav-item>

            <bs-nav-item event-key="title">
              Text
            </bs-nav-item>

            <bs-nav-item event-key="codex">
              Witness
            </bs-nav-item>

            <bs-nav-item event-key="creation">
              Creation
            </bs-nav-item>

            <bs-nav-item event-key="study">
              Studies
            </bs-nav-item>

            <bs-nav-item event-key="content">
              Content
            </bs-nav-item>

            <bs-nav-item event-key="references">
              References
            </bs-nav-item>

            [[#if (hasPermission "forms:ldp:update")]]
              <bs-nav-item event-key="internal" class="hidden-field">
                Internal
              </bs-nav-item>
              <bs-nav-item event-key="delete">
                Delete
              </bs-nav-item>
            [[/if]]

          </bs-nav>
        </bs-col>
        <bs-col sm="10">

          <bs-tab-content animation="true">

            <bs-tab-pane event-key="description">
              <h3>Description</h3>

              <semantic-form-text-input for="label"></semantic-form-text-input>

              <semantic-form-text-input for="notes" multiline="true"></semantic-form-text-input>

            </bs-tab-pane>

            <bs-tab-pane event-key="creation">
                <h3>Creation/copying</h3>
  
              <semantic-form-composite-input for="witness_creation"
                new-subject-template="/creation"
                fields="[[fieldDefinitions
                      date='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/has_ismi_date'
                      place='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/took_place_at'
                      actor='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/carried_out_by'
                      recipient='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/witness_creation_recipient'
                    ]]">
                  <semantic-form-autocomplete-input for="actor" ></semantic-form-autocomplete-input>
                  [[> Partial:formInputIsmiDate ]]
                  <semantic-form-autocomplete-input for="place" ></semantic-form-autocomplete-input>
                  <semantic-form-autocomplete-input for="recipient" ></semantic-form-autocomplete-input>
              </semantic-form-composite-input>

            </bs-tab-pane>

            <bs-tab-pane event-key="title">
              <h3>Text</h3>
  
              <semantic-form-autocomplete-input for="exemplar_of" default-value="[[urlParam 'textiri']]"></semantic-form-autocomplete-input>

              <div style="margin-left:27px;">
              <mp-field-visualization
                subject="[[urlParam 'witnessiri']]"
                fields="[[fieldDefinitions author='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/witness_author_view']]"
                template="{{> Partial:fieldBasedVisualisation}}"
                ></mp-field-visualization>

              <semantic-link
                iri="[[resolvePrefix ':copyIdText']]"
                target="_blank"
                class="btn btn-sm btn-default"
                >Advanced text search</semantic-link>
                (Copy the ID and paste into the field above)
              </div>
 
              <semantic-form-text-input for="author_as_written"></semantic-form-text-input>
              <semantic-form-text-input for="title_as_written"></semantic-form-text-input>

              <semantic-form-checkbox-input for="autograph" ></semantic-form-checkbox-input>

              <semantic-form-composite-input for="misidentification"
                new-subject-template="http://content.mpiwg-berlin.mpg.de/ns/ismi/misidentification/{{UUID}}"
                fields="[[fieldDefinitions
                      actor='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/misidentification_person'
                      ismi_id='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/ismi_id'
                      title='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/misidentification_title'
                      reference='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/reference'
                    ]]">
                  <semantic-form-autocomplete-input for="actor"></semantic-form-autocomplete-input>
                  <semantic-form-text-input for="title"  languages='["ar-latn","ar","en"]'></semantic-form-text-input>

                  <semantic-form-composite-input for="reference"
                        new-subject-template="http://content.mpiwg-berlin.mpg.de/ns/ismi/reference/{{UUID}}"
                        fields="[[fieldDefinitions
                          item='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/reference_item'
                          note='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/reference_note'
                          ismi_id='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/ismi_id'
                        ]]">
                      <semantic-form-autocomplete-input for="item"></semantic-form-autocomplete-input>
                      <semantic-form-text-input for="note"></semantic-form-text-input>
                      <semantic-form-text-input for="ismi_id" readonly="true" 
                        default-value="TBD"></semantic-form-text-input>
                   </semantic-form-composite-input>

                  <semantic-form-text-input for="ismi_id" readonly="true" 
                    default-value="TBD"></semantic-form-text-input>
              </semantic-form-composite-input>
          </semantic-form-composite-input>


            </bs-tab-pane>

            <bs-tab-pane event-key="codex">
                <h3>Witness</h3>
  
              <semantic-form-autocomplete-input for="codex" ></semantic-form-autocomplete-input>

              <mp-field-visualization 
                subject="[[urlParam 'witnessiri']]"
                fields="[[fieldDefinitions 
                    collection='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/witness_collection_view'
                    repository='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/witness_repository_view'
                    place='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/witness_place_view'
                  ]]"
                template="{{> Partial:fieldBasedVisualisation}}"
                ></mp-field-visualization>
              
              <semantic-form-text-input for="folios"></semantic-form-text-input>
              <semantic-form-text-input for="lines_per_page"></semantic-form-text-input>

              <semantic-form-text-input for="page_dimensions"></semantic-form-text-input>
              <semantic-form-text-input for="written_area_dimensions"></semantic-form-text-input>

              <semantic-form-select-input for="script"></semantic-form-select-input>
              <semantic-form-select-input for="writing_surface"></semantic-form-select-input>
              <semantic-form-select-input for="source_of_information"></semantic-form-select-input>

              <semantic-form-text-input for="alias_identifier"></semantic-form-text-input>

              <semantic-form-text-input for="start_page"></semantic-form-text-input>
              <semantic-form-text-input for="end_page"></semantic-form-text-input>
              
            </bs-tab-pane>

            <bs-tab-pane event-key="study">
                <h3>Studies</h3>
  
              <semantic-form-composite-input for="witness_study"
                new-subject-template="http://content.mpiwg-berlin.mpg.de/ns/ismi/study-event/{{UUID}}"
                fields="[[fieldDefinitions
                      ismi_id='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/ismi_id'
                      date='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/has_ismi_date'
                      place='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/took_place_at'
                      notes='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/notes'
                      type='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/study_type'
                      student='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/study_student'
                      advisor='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/study_advisor'
                    ]]">
                  <semantic-form-select-input for="type"></semantic-form-select-input>
                  <semantic-form-autocomplete-input for="student"></semantic-form-autocomplete-input>
                  <semantic-form-autocomplete-input for="advisor"></semantic-form-autocomplete-input>
                  [[> Partial:formInputIsmiDate ]]
                  <semantic-form-autocomplete-input for="place" ></semantic-form-autocomplete-input>
                  <semantic-form-text-input for="notes" multiline="true"></semantic-form-text-input>
                  <semantic-form-text-input for="ismi_id" readonly="true" 
                    default-value="TBD"></semantic-form-text-input>
              </semantic-form-composite-input>

            </bs-tab-pane>
            <bs-tab-pane event-key="content">
                <h3>Content</h3>
  
              <semantic-form-composite-input for="witness_expression"
                new-subject-template="/expression"
                fields="[[fieldDefinitions
                      incipit='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/expression_incipit'
                      explicit='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/expression_explicit'
                      colophon='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/expression_colophon'
                      dedication='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/expression_dedication'
                      toc='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/expression_toc'
                    ]]">
                  <semantic-form-text-input for="incipit" multiline="true" languages='["ar-latn","ar","en"]'></semantic-form-text-input>
                  <semantic-form-text-input for="explicit" multiline="true" languages='["ar-latn","ar","en"]'></semantic-form-text-input>
                  <semantic-form-text-input for="colophon" multiline="true" languages='["ar-latn","ar","en"]'></semantic-form-text-input>
                  <semantic-form-text-input for="dedication" multiline="true" languages='["ar-latn","ar","en"]'></semantic-form-text-input>
                  <semantic-form-text-input for="toc" multiline="true" languages='["ar-latn","ar","en"]'></semantic-form-text-input>
              </semantic-form-composite-input>

            </bs-tab-pane>

            <bs-tab-pane event-key="references">
            
              <semantic-form-composite-input for="reference"
                    new-subject-template="http://content.mpiwg-berlin.mpg.de/ns/ismi/reference/{{UUID}}"
                    fields="[[fieldDefinitions
                      item='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/reference_item'
                      note='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/reference_note'
                      ismi_id='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/ismi_id'
                    ]]">
                  <semantic-form-autocomplete-input for="item"></semantic-form-autocomplete-input>
                  <semantic-form-text-input for="note"></semantic-form-text-input>
                  <semantic-form-text-input for="ismi_id" readonly="true" 
                    default-value="TBD"></semantic-form-text-input>
              </semantic-form-composite-input>

            </bs-tab-pane>
            
            <bs-tab-pane event-key="delete">

              [[> Partial:deleteButton 
                back=(resolvePrefix ":editWitness")
                param="witnessiri"
                entityType="Witness"
                redirect=(resolvePrefix ":listWitnesses")
              ]]

            </bs-tab-pane>

            <bs-tab-pane event-key="internal">
              <h3>Internal</h3>
              <semantic-form-text-input for="ismi_id"></semantic-form-text-input>
              <semantic-form-checkbox-input for="ismi_public"></semantic-form-checkbox-input>
              <semantic-form-text-input for="notes_internal" multiline="true"></semantic-form-text-input>
              <semantic-form-text-input for="witness_record_type"></semantic-form-text-input>
              <semantic-form-text-input for="witness_record_type_2"></semantic-form-text-input>
              <semantic-form-text-input for="transaction_log" multiline="true"></semantic-form-text-input>
            </bs-tab-pane>

          </bs-tab-content>

          <div class="gap text-right">
            <button name="submit" class="btn btn-primary btn-md">Save</button>
            <semantic-form-recover-notification class="alert alert-info"></semantic-form-recover-notification>
            <semantic-form-errors></semantic-form-errors>
          </div>

        </bs-col>
      <div>
    </bs-tab-container>

  </semantic-form>
</div>

[[> Partial:contentEnd]]
